---
title: Retrieve Multiple Tags
description: Retrieve tags used in a space.
url: https://www.storyblok.com/docs/api/content-delivery/v2/tags/retrieve-multiple-tags
---

# Retrieve Multiple Tags

Returns an array of tag objects used in a space. Only tags assigned to at least one story are included.

GET

```html
https://api.storyblok.com/v2/cdn/tags
```

## Query parameters

-   `token` (required) (string)
    
    A preview or public [access token](/docs/concepts/access-tokens)
    
-   `starts_with` (string)
    
    Filter by story `full_slug` to only return tags assigned to stories with a `full_slug` starting with the given value
    
-   `version` (draft | published)
    
    Default: `published`
    

## Response properties

-   `tags` (array)
    
    An array of [tag objects](/docs/api/content-delivery/v2/tags/the-tag-object)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://api.storyblok.com/v2/cdn/tags\
    ?starts_with=articles%2F\
    &token=ask9soUkv02QqbZgmZdeDAtt"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      accessToken: "krcV6QGxWORpYLUWt12xKQtt",
    });
    
    try {
      const response = await storyblok.get('cdn/tags', {
        "starts_with": "articles/"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
    
    $client->getTags([
      "starts_with" => "articles/"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/tags?starts_with=articles%2F&token=ask9soUkv02QqbZgmZdeDAtt")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://api.storyblok.com/v2/cdn/tags?starts_with=articles%2F&token=ask9soUkv02QqbZgmZdeDAtt");
    var request = new RestRequest(Method.GET);
    
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://api.storyblok.com/v2/cdn/tags"
    
    querystring = {"starts_with":"articles/","token":"ask9soUkv02QqbZgmZdeDAtt"}
    
    payload = ""
    headers = {}
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(token: 'YOUR_TOKEN')
    
    client.tags({:params => {
      "starts_with" => "articles/"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .cdn(accessToken: "ask9soUkv02QqbZgmZdeDAtt"))
    var request = URLRequest(storyblok: storyblok, path: "tags")
    request.url!.append(queryItems: [
        URLQueryItem(name: "starts_with", value: "articles/")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(CDN)) {
            accessToken = "ask9soUkv02QqbZgmZdeDAtt"
        }
    }
    
    val response = client.get("tags") {
        url {
            parameters.append("starts_with", "articles/")
        }
    }
    
    println(response.body<JsonElement>())
    ```

Response

```json
{
  "tags": [
    {
      "name": "Editor's Choice",
      "taggings_count": 11
    },
    {
      "name": "Featured",
      "taggings_count": 7
    }
  ]
}
```

## Pagination

-   [Previous: The Datasource Entry Object](/docs/api/content-delivery/v2/datasources/the-datasource-entry-object)
-   [Next: The Tag Object](/docs/api/content-delivery/v2/tags/the-tag-object)
